#pragma once

#include "CoreMinimal.h"
#include "EGameType.h"
#include "GenerationParams.generated.h"

USTRUCT(BlueprintType)
struct FGenerationParams
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Seed;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString MapName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EGameType GameType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString SpecialEventId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 PlayerCount;

public:
	DEADBYDAYLIGHT_API FGenerationParams();
};

FORCEINLINE uint32 GetTypeHash(const FGenerationParams) { return 0; }
